Bug 7361 - expr не верно считает
: expr не верно считает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/coreutils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-13 15:08 by
Modified: 2005-12-12 13:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-13 15:08:28
$ rpm -q coreutils 
coreutils-5.3.1-alt0.4 
$ expr 1 + -1 
2 
 
в 5.2.1 все нормально считает.
------- Comment #1 From 2005-07-14 12:26:09 -------
Дополнение 
# rpm -q coreutils 
coreutils-5.3.0-alt0.5 
# expr 1 + -1 
0 
------- Comment #2 From 2005-07-23 00:14:21 -------
Исправлено в coreutils cvs, будет исправлено в очередной сборке в августе.
------- Comment #3 From 2005-10-20 16:59:25 -------
Fixed in 5.91-alt1.